Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mayar.id/llms.txt

Use this file to discover all available pages before exploring further.

curl --request GET `https://api.mayar.id/hl/v1/customer/detail?email=testingmayar@gmail.com` \
  --header 'Authorization: Bearer Paste-Your-API-Key-Here'
{
    "statusCode": 200,
    "messages": "success",
    "data": {
        "id": "22eb6224-c20a-4bc2-9b99-13b21e7048c6",
        "createdAt": 1730782544663,
        "email": "testingmayar@gmail.com",
        "mobile": "08112280103422",
        "name": "Test Mayar",
        "status": "active",
        "updatedAt": 1730782544663,
        "userId": "348e083d-315a-4e5c-96b1-5a2a98c48413",
        "user": {
            "id": "348e083d-315a-4e5c-96b1-5a2a98c48413",
            "name": "GlazerOut",
            "urlHook": "https://qtwxxqfulqrpuerjmtya.supabase.co/functions/v1/payment-webhook",
            "email": "aldodwrzy@gmail.com",
            "paymeLink": "testingmayar",
            "isSelfDomain": false,
            "accountId": "be305ea4-5fe1-4bb9-a5c8-6bc1d0bfd279",
            "account": {
                "id": "be305ea4-5fe1-4bb9-a5c8-6bc1d0bfd279",
                "name": "Mayar Team",
                "imageId": "efeecb5d-acac-45f8-8249-396f8a5b6a95",
                "logo": {
                    "id": "efeecb5d-acac-45f8-8249-396f8a5b6a95",
                    "fileType": "jpeg",
                    "url": "https://media.mayar.id/images/efeecb5d-acac-45f8-8249-396f8a5b6a95.jpeg"
                }
            }
        }
    }
}
Endpoint:
https://api.mayar.id/hl/v1/customer/detail?email={inputyourcustomeremail}

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-Api-Key-Here

Query Parameters

email
string
required
Customer email address used to search customer details.

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code returned by the API.
messages
string
Status message that describes the API response.
data
object
Customer detail object.

data Structure (Object)

data.id
string
Unique customer ID.
data.createdAt
number
Unix timestamp in milliseconds indicating when the customer was created.
data.email
string
Customer email address.
data.mobile
string
Customer phone number.
data.name
string
Customer full name.
data.status
string
Current customer status.
data.updatedAt
number
Unix timestamp in milliseconds indicating when the customer was last updated.
data.userId
string
Unique user ID associated with the customer.
data.user
object
User information object associated with the customer.
data.user.id
string
Unique user ID.
data.user.name
string
User full name.
data.user.urlHook
string
Webhook URL configured by the user.
data.user.email
string
User email address.
User payment link identifier.
data.user.isSelfDomain
boolean
Indicates whether the user uses a custom domain.
data.user.accountId
string
Unique account ID associated with the user.
data.user.account
object
Account information object.
data.user.account.id
string
Unique account ID.
data.user.account.name
string
Account name.
data.user.account.imageId
string
Unique image ID associated with the account logo.
Account logo object.
data.user.account.logo.id
string
Unique logo image ID.
data.user.account.logo.fileType
string
Logo file type.
data.user.account.logo.url
string
Public URL of the account logo image.